<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'asadi',

    /*
     * Package.
     */
    'package'   => 'grievance',

    /*
     * Modules.
     */
    'modules'   => ['grievance'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'grievance'       => [
        'model'             => 'Asadi\Grievance\Models\Grievance',
        'table'             => 'grievances',
        'presenter'         => \Asadi\Grievance\Repositories\Presenter\GrievanceItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'standard_id',  'semester_id',  'student_id',  'status',  'subject',  'details',  'documents',  'action_taken',  'date_of_action',  'authority_comments',  'documents_authority',  'deleted_at',  'created_at',  'updated_at'],
        'translate'         => ['id',  'standard_id',  'semester_id',  'student_id',  'status',  'subject',  'details',  'documents',  'action_taken',  'date_of_action',  'authority_comments',  'documents_authority',  'deleted_at',  'created_at',  'updated_at'],

        'upload_folder'     => 'grievance/grievance',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
        /*
        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Grievance created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Grievance completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Grievance verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Grievance approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Grievance published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Grievance unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Grievance archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Grievance deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],
        */
    ],
];
