<?php

use Illuminate\Database\Migrations\Migration;

class CreateGrievancesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: grievances
         */
        Schema::create('grievances', function ($table) {
            $table->increments('id');
            $table->integer('standard_id')->nullable();
            $table->integer('semester_id')->nullable();
            $table->integer('student_id')->nullable();
            $table->enum('status', ['Open','Closed'])->nullable();
            $table->string('subject', 255)->nullable();
            $table->text('details')->nullable();
            $table->text('documents')->nullable();
            $table->enum('action_taken', ['Solved In College','Forwarded To University','No Action'])->nullable();
            $table->date('date_of_action')->nullable();
            $table->text('authority_comments')->nullable();
            $table->text('documents_authority')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('grievances');
    }
}
