@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('grievance::grievance.name') !!} <small> {!! trans('app.manage') !!} {!! trans('grievance::grievance.names') !!}</small>
@stop

@section('title')
{!! trans('grievance::grievance.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('grievance::grievance.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='grievance-grievance-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="grievance-grievance-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('grievance::grievance.label.standard_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.semester_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.student_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.status')!!}</th>
                    <th>{!! trans('grievance::grievance.label.subject')!!}</th>
                    <th>{!! trans('grievance::grievance.label.action_taken')!!}</th>
                    <th>{!! trans('grievance::grievance.label.date_of_action')!!}</th>
                    <th>{!! trans('grievance::grievance.label.status')!!}</th>
                    <th>{!! trans('grievance::grievance.label.created_at')!!}</th>
                    <th>{!! trans('grievance::grievance.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[standard_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[semester_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[student_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[status]')->raw()!!}</th>
                    <th>{!! Form::text('search[subject]')->raw()!!}</th>
                    <th>{!! Form::text('search[action_taken]')->raw()!!}</th>
                    <th>{!! Form::text('search[date_of_action]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#grievance-grievance-entry', '{!!trans_url('admin/grievance/grievance/0')!!}');
    oTable = $('#grievance-grievance-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/grievance/grievance') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#grievance-grievance-list .search_bar input, #grievance-grievance-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'standard_id'},
                    {data :'semester_id'},
                    {data :'student_id'},
                    {data :'status'},
                    {data :'subject'},
                            {data :'action_taken'},
                    {data :'date_of_action'},
                                    {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#grievance-grievance-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#grievance-grievance-list').DataTable().row( this ).data();

        $('#grievance-grievance-entry').load('{!!trans_url('admin/grievance/grievance')!!}' + '/' + d.id);
    });

    $("#grievance-grievance-list .search_bar input, #grievance-grievance-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

