<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-8 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('grievance::grievance.title.user') !!}</h4>
                                <p class="sub-title">{!! trans('grievance::grievance.title.sub.user') !!}</p>
                            </div>
                            <div class="col-sm-4">
                                <div class="header-form">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(trans_url(get_guard('url').'/grievance/grievance'))!!}
                                    <div class="form-group form-white mn">
                                      {!!Form::text('search')->type('text')->placeholder('Search')->raw()!!}
                                    </div>
                                    <button type="submit" class="btn btn-icon btn-round btn-white btn-raised search-btn"><i class="fa fa-search"></i></button>
                                    {!! Form::close()!!}
                                    <a href="{!!trans_url(get_guard('url').'/grievance/grievance/create')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="content table-responsive table-full-width">
                        @include('public::notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('grievance::grievance.label.standard_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.semester_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.student_id')!!}</th>
                    <th>{!! trans('grievance::grievance.label.status')!!}</th>
                    <th>{!! trans('grievance::grievance.label.subject')!!}</th>
                    <th>{!! trans('grievance::grievance.label.action_taken')!!}</th>
                    <th>{!! trans('grievance::grievance.label.date_of_action')!!}</th>
                    <th>{!! trans('grievance::grievance.label.status')!!}</th>
                    <th>{!! trans('grievance::grievance.label.created_at')!!}</th>
                    <th>{!! trans('grievance::grievance.label.updated_at')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($grievances as $grievance)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{trans_url('grievance')}}/{{$grievance->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($grievance->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $grievance->standard_id }}</td>
                    <td>{{ $grievance->semester_id }}</td>
                    <td>{{ $grievance->student_id }}</td>
                    <td>{{ $grievance->status }}</td>
                    <td>{{ $grievance->subject }}</td>
                    <td>{{ $grievance->action_taken }}</td>
                    <td>{{ $grievance->date_of_action }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('grievance')}}/{!!$grievance->getRouteKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View Grievance" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! trans_url(get_guard('url').'/grievance/grievance') !!}/{!! $grievance->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit Grievance" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove Grievance" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! trans_url(get_guard('url').'/grievance/grievance') !!}/{!! $grievance->getRouteKey() !!}" data-remove="{!! $grievance->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td><h4>No grievances found.</h4></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="footer">
                        {{$grievances->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>