<?php

namespace Asadi\Grievance;

use User;

class Grievance
{
    /**
     * $grievance object.
     */
    protected $grievance;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Grievance\Interfaces\GrievanceRepositoryInterface $grievance)
    {
        $this->grievance = $grievance;
    }

    /**
     * Returns count of grievance.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.grievance.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->grievance->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\GrievanceUserCriteria());
        }

        $grievance = $this->grievance->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('grievance::' . $view, compact('grievance'))->render();
    }
}
