<?php

namespace Asadi\Grievance\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Grievance\Interfaces\GrievanceRepositoryInterface;

class GrievancePublicController extends BaseController
{
    // use GrievanceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Grievance\Interfaces\GrievanceRepositoryInterface $grievance
     *
     * @return type
     */
    public function __construct(GrievanceRepositoryInterface $grievance)
    {
        $this->repository = $grievance;
        parent::__construct();
    }

    /**
     * Show grievance's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $grievances = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('grievance::public.grievance.index', compact('grievances'))->render();
    }

    /**
     * Show grievance.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $grievance = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('grievance::public.grievance.show', compact('grievance'))->render();
    }

}
