<?php

namespace Asadi\Grievance\Workflow;

use Asadi\Grievance\Models\Grievance;
use Asadi\Grievance\Notifications\Grievance as GrievanceNotifyer;
use Notification;

class GrievanceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function complete(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function verify(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function approve(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function publish(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function archive(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Grievance $grievance
     *
     * @return void
     */
    public function unpublish(Grievance $grievance)
    {
        return Notification::send($grievance->user, new GrievanceNotifyer($grievance, 'unpublish'));;

    }
}
